Subject: Re: [PATCH] mtd: nand: add FSL_SOC dependency to drivers using FSL_LBC

From: Brian Norris <[email-masked]>
Date: Thu, 7 Jan 2016 12:34:18 -0800

Hi Scott,

On Thu, Jan 07, 2016 at 01:47:33PM -0600, Scott Wood wrote:
> On Thu, 2016-01-07 at 11:21 -0800, Brian Norris wrote:
> > I've managed to construct .config files (for ppc64) that come across
> > this Kconfig warning:
> > 
> >   warning: (MPC836x_RDK && MTD_NAND_FSL_ELBC && MTD_NAND_FSL_UPM) selects
> > FSL_LBC which has unmet direct dependencies (FSL_SOC)
> > 
> > Let's add the FSL_SOC dependency to the NAND drivers. AFAICT, they are
> > only supported on PPC32 FSL SoCs anyway.
> 
> There are other problems, if you can enable an 83xx board on ppc64.  PPC_83xx
> does select FSL_SOC so I don't know why it's unmet.

I don't have an 83xx board enabled. I just have MTD_NAND_FSL_ELBC
enabled; it only depends on PPC right now. Attaching the current test
.config, for clarity.

So I guess only the first hunk of my patch is required right now.

> FWIW, I think we should instead drop the FSL_SOC dependency from FSL_LBC.  It
> doesn't use anything that I can see from fsl_soc.c.  It's been commonly abused
> as a means for hiding the option on builds for other platforms, but that has
> to stop anyway now that many of these devices are also on ARM-based chips. 
>  eLBC isn't, since it was obsoleted by IFC, but it shouldn't be unnecessarily
> different from IFC.  IFC currently depends on FSL_SOC but that needs to go
> away.

Solve this however you'd like. Consider my patch just a bug report :)

Brian